#
# spec file for package bin86 (Version 0.16.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           bin86
License:        Other License(s), see package
Group:          Development/Languages/Other
Autoreqprov:    on
Version:        0.16.0
Release:        201.1
Summary:        An 8086 Assembler and Linker
URL:            http://www.cix.co.uk/~mayday/
Source:         Dev86src-%{version}.tar.bz2
Patch:          dev86-%{version}.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An 8086 assembler and linker.



Authors:
--------
    Robert de Bath <rdebath@poboxes.com>
    Bruce Evans <bde@runx.oz.au>
    Linus Torvalds <torvalds@transmeta.com>
    H.J. Lu <hjl@nynexst.com>

%debug_package
%package -n dev86
Summary:        8086 Development Suite
Requires:       bin86 
Group:          Development/Languages/Other

%description -n dev86
This package contains tools for generating Elks/8086 programs and the
Elksemu for execution of these programs in Linux.



Authors:
--------
    Robert de Bath <rdebath@poboxes.com>
    Bruce Evans <bde@runx.oz.au>
    Linus Torvalds <torvalds@transmeta.com>
    H.J. Lu <hjl@nynexst.com>

%prep
%setup -n dev86-%{version}
%patch

%build
make GCCFLAG="$RPM_OPT_FLAGS -fno-strict-aliasing"

%install
rm -rf $RPM_BUILD_ROOT
make install DIST=$RPM_BUILD_ROOT PREFIX=/usr MANDIR=/usr/share/man
make other
make install-other DIST=$RPM_BUILD_ROOT MANDIR=/usr/share/man
ln -sf as86.1 $RPM_BUILD_ROOT/usr/share/man/man1/as86_encap.1
mv bootblocks/README bootblocks/README.bootblocks
mv copt/README copt/README.copt
mv dis88/README dis88/README.dis88
mv elksemu/README elksemu/README.elksemu
mv unproto/README unproto/README.unproto 
mv bin86/README bin86/README.bin86
mkdir $RPM_BUILD_ROOT/usr/lib/bcc/kinclude
cp -a libc/kinclude/arch $RPM_BUILD_ROOT/usr/lib/bcc/kinclude
cp -a libc/kinclude/linuxmt $RPM_BUILD_ROOT/usr/lib/bcc/kinclude

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
/usr/bin/as86
/usr/bin/as86_encap
/usr/bin/ld86
/usr/bin/nm86
/usr/bin/objdump86
/usr/bin/size86
%doc /usr/share/man/man1/as86.1.gz
%doc /usr/share/man/man1/as86_encap.1.gz
%doc /usr/share/man/man1/ld86.1.gz

%files -n dev86
%defattr(-,root,root)
%doc MAGIC Contributors bootblocks/README.bootblocks copt/README.copt
%doc dis88/README.dis88
%doc elksemu/README.elksemu unproto/README.unproto bin86/README-0.4
%doc bin86/README.bin86 bin86/ChangeLog
/lib/elksemu
/usr/bin/ar86
/usr/bin/bcc
/usr/bin/dis86
/usr/lib/bcc
/usr/lib/liberror.txt
%doc /usr/share/man/man1/bcc.1.gz
%doc /usr/share/man/man1/dis86.1.gz
%doc /usr/share/man/man1/elks.1.gz
%doc /usr/share/man/man1/elksemu.1.gz

%changelog -n bin86
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 22 2005 - ro@suse.de
- fix implicit warnings
- do not strip during make install
* Sat Jul 16 2005 - meissner@suse.de
- fixed size of buffer passed to realpath.
* Wed Jan 19 2005 - ro@suse.de
- fixed more compiler warnings
* Tue Feb 03 2004 - kukuk@suse.de
- Fix compiler warnings
* Mon Oct 20 2003 - ro@suse.de
- use defattr
- don't build as root
* Wed Jun 18 2003 - ro@suse.de
- move buildroot entry to top in specfile
* Fri Jun 06 2003 - ro@suse.de
- pack include files
* Thu Jan 23 2003 - ro@suse.de
- downgrade to 0.16.0 since author claims 0.16.10 to be unstable
- use buildroot
* Mon Dec 16 2002 - ro@suse.de
- update to 0.16.10
- bzip source, add URL to specfile
* Sun Dec 01 2002 - ro@suse.de
- sys_errlist is deprecated, patch ar.c
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Sat Aug 24 2002 - ro@suse.de
- fix doc section for new cp behaviour
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Wed Feb 09 2000 - ro@suse.de
- fixed prefix-path for bcc
* Mon Jan 17 2000 - ro@suse.de
- man to /usr/share/man
* Tue Dec 14 1999 - ro@suse.de
- build from full-source Dev86-0.14.9
- added subpackage dev86 containing elksemu and bcc
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Sep 05 1999 - ro@suse.de
- updated to 0.14.9 with current src and manpages
* Thu Sep 10 1998 - ro@suse.de
- don't redeclare malloc for glibc
* Wed Apr 30 1997 - florian@suse.de
- update to version 0.4
